OnCommand Storage Management Software Discussions

WFA with VCenter 6.5 and Datasource Script for VMware vCenter 6.0 version 1.2.0 dated 11/07/2017

I am having issues getting VCenter 6.5 added as a data source.

I have added the Datasource Script for VMware vCenter 6.0 version 1.2.0 dated 11/07/2017 pack.

When I attempt to add my vcenter as a data source, it returns the following error:

 

Could not get rest parameter host.
Cause: The underlying connection was closed: An unexpected error occurred on a receive.. An existing connection was forcibly closed by the remote host

 

I have verified the username and password I'm using are correct.

I can run remote PowerShell scripts against this VCenter from another host with PowerShell installed.

 

I also get a similar error when trying to run a simple create flex volume workflow on a filer.  Ther server.log repeats this error over and over:

command denied to user 'restricted'@'localhost' for table 'global_config'

 

Not sure if this is related.  If not, I'll break it into two different threads.

 

Any suggestions?

1 REPLY

Re: WFA with VCenter 6.5 and Datasource Script for VMware vCenter 6.0 version 1.2.0 dated 11/07/2017

Version 1.2.0 adds support for vCenter 6.5. It needs to be manually downloaded and installed.

 

https://automationstore.netapp.com/pack-detail.shtml?packUuid=4ce32c21-1878-47a0-9c53-ef6e8eb7b3a3&packVersion=1.2.0

 

It doesn't update the version shown in WFA and still shows "VMware vCenter 6.0 - 6.0" when adding the data source, but it worked for me. It takes mine a full 30 minutes (1800 seconds) to complete the download.

 

Forums